#ifndef LM32_READ_H
#define LM32_READ_H

#include "lm32-base.h"

class LM32Read : public LM32Base {
  public:
    LM32Read(Interconnect* ic, bool safe = false);
    
    SendQueue::const_iterator send(SendQueue::const_iterator i, SendQueue::const_iterator end);
    void recv(unsigned int status, uint8_t value);
    
    MasterPort& read;
    MasterPort& poll;
    
    bool amReady() const;
  
  protected:
    bool safe;
    bool ready;
    unsigned int report;
    bool polling;
};

#endif
